<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::table('client_sources', function (Blueprint $table) {
            $table->tinyInteger('order')->default(1)->after('name');
            $table->enum('status', ['yes', 'no'])->default('yes')->after('order');
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('client_sources', function (Blueprint $table) {
            $table->dropColumn(['order', 'status']);
        });
    }
};
